Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole.command
Class SingleThreadCommandRunner

    java.lang.Object
      com.artenum.jyconsole.command.SingleThreadCommandRunner

All Implemented Interfaces:
  CommandRunner, java.lang.Runnable

    public class SingleThreadCommandRunner

extends java.lang.Object
implements CommandRunner, java.lang.Runnable

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 23/06/2006
     Modification          :

     Description  : A CommandRunner that sends all commands to a single thread.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Colin Crist, colincrist@hermesjms.com | Contribution integrated by Sebastien Jourdain, jourdain@artenum.com

Version:
  0.1
Author:
  Colin Crist, colincrist@hermesjms.com, Sebastien Jourdain

Constructor Summary
`SingleThreadCommandRunner(java.lang.String threadName)`

Method Summary
`void` | `invokeLater(Command r)` Invoke a command asynchronously.
`void` | `reset()` Stop any currently executing commands and reset the runner to its initial state, the runner can still be used.
`void` | `run()`
`void` | `stop()` Stop the runner and frees any resources e.g. threads, once stopped it cannot be reused.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleThreadCommandRunner

    public SingleThreadCommandRunner(java.lang.String threadName)

Method Detail

### stop

    public void stop()

  Description copied from interface: `CommandRunner`
  Stop the runner and frees any resources e.g. threads, once stopped it cannot be reused.

  Specified by:
    `stop` in interface `CommandRunner`

### invokeLater

    public void invokeLater(Command r)

  Description copied from interface: `CommandRunner`
  Invoke a command asynchronously.

  Specified by:
    `invokeLater` in interface `CommandRunner`

### reset

    public void reset()

  Description copied from interface: `CommandRunner`
  Stop any currently executing commands and reset the runner to its initial state, the runner can still be used.

  Specified by:
    `reset` in interface `CommandRunner`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com